<?php
require_once __DIR__ . '/../../connect.php';
$passenger_id = filterRequest("passenger_id");

$sql = "SELECT 
    COALESCE(pw.`id`, 0) AS id,
    COALESCE(pw.`passenger_id`, '$passenger_id') AS passenger_id,
    COALESCE(SUM(pw.balance), 0) AS total,
    COALESCE(p.first_name, '') AS first_name,
    COALESCE(p.last_name, '') AS last_name,
    COALESCE(p.phone, '') AS phone
FROM 
    (SELECT '$passenger_id' AS passenger_id) AS dummy
LEFT JOIN `passengerWallet` pw ON pw.passenger_id = dummy.passenger_id
LEFT JOIN passengers p ON p.id = pw.passenger_id
GROUP BY 
    dummy.passenger_id, pw.id, p.first_name, p.last_name, p.phone
LIMIT 0, 25;
";
$stmt = $con->prepare($sql);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    // Fetch the record
    $row = $stmt->fetchAll(PDO::FETCH_ASSOC);

    jsonSuccess($row);
    
}
    else{
    // Print a failure message
    jsonError($message = "No wallet record found");
}
?>